---
- name: Build a fedora cloud image suitable for Zuul
  hosts: localhost
  vars:
    image_url: https://dl.fedoraproject.org/pub/fedora/linux/releases/34/Cloud/x86_64/images/Fedora-Cloud-Base-34-1.2.x86_64.qcow2
    image_checksum: "sha256:b9b621b26725ba95442d9a56cbaa054784e0779a9522ec6eafff07c6e6f717ea"
    image: Fedora-Cloud-Base-34-1.2.x86_64.qcow2
    extra_packages:
      # Extra system tools
      - pigz
      - bridge-utils
      - wget
      - unzip
      # Basic CI tools
      - make
      - gcc
      - patch
      # RPM building tools
      - redhat-lsb-core
      - redhat-rpm-config
      - rpm-build
      - rpm-sign
      - rpmlint
      - createrepo
      - gnupg2
      - expect
      # Devel libraries
      - libffi-devel
      - libpcap-devel
      - libseccomp-devel
      - libxml2-devel
      - libxslt-devel
      - mariadb-devel
      - openldap-devel
      - openssl-devel
      - python2-devel
      - python3-devel
      - readline-devel
      - ruby-devel
      - systemd-devel
      - zlib-devel
      # Python
      - python3-pyyaml
      # For add-build-sshkey
      - python3-libselinux
  tasks:
    - block:
        - import_role:
            name: base-appliance
        - import_role:
            name: base
        - import_role:
            name: sshd-config
        - import_role:
            name: network-config
        - import_role:
            name: zuul-user
        - import_role:
            name: base-install-packages
        - import_role:
            name: grub-mkconfig
        - import_role:
            name: base-customize
        - import_role:
            name: base-finalize
      always:
        - import_role:
            name: base-cleanup
